// -----------------------------------------------------------------------------------------------------
// Copyright (c) 2006-2019, Knut Reinert & Freie Universität Berlin
// Copyright (c) 2016-2019, Knut Reinert & MPI für molekulare Genetik
// This file may be used, modified and/or redistributed under the terms of the 3-clause BSD-License
// shipped with this file and also available at: https://github.com/seqan/seqan3/blob/master/LICENSE.md
// -----------------------------------------------------------------------------------------------------

/*!\file
 * \brief Provides various shortcuts for common std::ranges functions.
 * \author Joshua Kim <joshua.kim AT fu-berlin.de>
 */

#include <seqan3/std/ranges>

namespace seqan3
{

using std::ranges::begin;
using std::ranges::end;

using std::ranges::cbegin;
using std::ranges::cend;

using std::ranges::size;
using std::ranges::empty;

} // namespace seqan3
